{
  "name": "happyjob-dk",
  "version": "1.0.0",
  "description": "Collection of happyjob-dk.",
  "author": "neverland <chenjiahan@neverl.com>",
  "license": "MIT",
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "build:stage": "vue-cli-service build --mode staging",
    "lint": "vue-cli-service lint"
  },
  "dependencies": {
    "amfe-flexible": "^2.2.1",
    "axios": "^0.18.0",
    "core-js": "^3.4.3",
    "vant": "^2.8.2",
    "vue": "^2.6.10",
    "vue-baidu-map": "^0.21.22",
    "vue-router": "^3.0.5",
    "vuex": "^3.0.1",
    "vuex-class": "^0.3.1",
    "weixin-jsapi": "^1.1.0"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "^4.1.1",
    "@vue/cli-plugin-eslint": "^3.3.0",
    "@vue/cli-service": "^4.1.1",
    "@vue/eslint-config-standard": "^4.0.0",
    "babel-eslint": "^10.0.1",
    "babel-plugin-import": "^1.12.0",
    "eslint": "^5.16.0",
    "eslint-plugin-vue": "^5.1.0",
    "less": "^3.8.1",
    "less-loader": "^5.0.0",
    "vue-template-compiler": "^2.6.10",
    "postcss-pxtorem": "^4.0.1"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential",
      "eslint:recommended"
    ],
    "parserOptions": {
      "parser": "babel-eslint"
    },
    "rules": {
      "generator-star-spacing": "off",
      "no-mixed-operators": 0,
      "linebreak-style": [
        0,
        "error",
        "windows"
      ],
      "vue/max-attributes-per-line": [
        2,
        {
          "singleline": 5,
          "multiline": {
            "max": 1,
            "allowFirstLine": false
          }
        }
      ],
      "vue/attribute-hyphenation": 0,
      "vue/html-self-closing": 0,
      "vue/component-name-in-template-casing": 0,
      "vue/html-closing-bracket-spacing": 0,
      "vue/singleline-html-element-content-newline": 0,
      "vue/no-unused-components": 0,
      "vue/multiline-html-element-content-newline": 0,
      "vue/no-use-v-if-with-v-for": 0,
      "vue/html-closing-bracket-newline": 0,
      "vue/no-parsing-error": 0,
      "no-console": 0
    }
  },
  "postcss": {
    "plugins": {
      "autoprefixer": {}
    }
  },
  "browserslist": [
    "Android >= 4.0",
    "iOS >= 7"
  ]
}
